<?
include '../config.php';
include '../func.php';

head();
aut();
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'umor' WHERE `id` = '".$id_session."'");
####################################################
echo head . "<b>Развлечения</b> | Цитаты" . div . katalog;

ini_set('user_agent',$_SERVER['HTTP_USER_AGENT']);
//грузим rss файл
$data = file_get_contents('http://bash.org.ru/rss/');
//обрабатываем
preg_match_all('|<pubDate>(.+)</pubDate>|i',$data,$dat);

preg_match_all('|<description><!\[CDATA\[(.+)\]\]></description>|i',$data,$content);

//теперь у нас есть 2 массива по 100 элементов, воспользуемся постраничным выводом

//всего элементов
$all = sizeof($content[1]);

//число сообщений на странице
$pnumber=5;

//номер страницы
$page = intval($_REQUEST['page']) ? (int)$_REQUEST['page'] : 1;

//число страниц
$num_pages = ceil($all/$pnumber);

//начальная позиция
$start = $page*$pnumber-$pnumber;

//проверка номера страницы
if($page > $num_pages || $page < 1)
{
$page=1;
$start=0;
}

//заголовки
if(substr_count($_SERVER['HTTP_USER_AGENT'], 'MSIE'))
{header('Content-type: text/html; charset=utf-8');}
else
{header('Content-type: application/xhtml+xml; charset=utf-8');}
header('Cache-control: no-cache');


//выводим цитаты
if($all)
{
for($i=$start; $i<$start+$pnumber; $i++)
{print ''.$dat[1][$i].'<br />'.str_replace('<br>','<br/>',iconv('windows-1251','utf-8',$content[1][$i])).'<hr>';}

//навигация
echo '<p>';

for($pr = '', $i=1; $i<=$num_pages; $i++)
{
echo $pr=(($i == 1 || $i == $num_pages || abs($i-$page) < 2) ? ($i == $page ? " [$i] " : ' <a href="'.$_SERVER['SCRIPT_NAME'].'?page='.$i.'">'.$i.'</a> ') : (($pr == ' ... ' || $pr == '')? '' : ' ... '));
}

echo '</p>';
}
else
{echo '<p>цитат нет</p>';}

//////////////////////////////////////

pod_navig();
foot();
?>
